MVDSTD_Config Struct Reference

Processing configuration. More...

`#include <mvd.h>`

## Data Fields

MVDSTD_InputFormat | input_type
| Input type.
u32 | unk_x04
| Unknown.
u32 | unk_x08
| Unknown. Referred to as "H264 range" in SKATER.
u32 | inwidth
| Input width.
u32 | inheight
| Input height.
u32 | physaddr_colorconv_indata
| Physical address of color conversion input data.
u32 | physaddr_colorconv_unk0
| Physical address used with color conversion.
u32 | physaddr_colorconv_unk1
| Physical address used with color conversion.
u32 | physaddr_colorconv_unk2
| Physical address used with color conversion.
u32 | physaddr_colorconv_unk3
| Physical address used with color conversion.
u32 | unk_x28 [0x18 >>2]
| Unknown.
u32 | enable_cropping
| Enables cropping with the input image when non-zero via the following 4 words.
u32 | input_crop_x_pos
u32 | input_crop_y_pos
u32 | input_crop_height
u32 | input_crop_width
u32 | unk_x54
| Unknown.
MVDSTD_OutputFormat | output_type
| Output type.
u32 | outwidth
| Output width.
u32 | outheight
| Output height.
u32 | physaddr_outdata0
| Physical address of output data.
u32 | physaddr_outdata1
| Additional physical address for output data, only used when the output format type is value 0x00020001.
u32 | unk_x6c [0x98 >>2]
| Unknown.
u32 | flag_x104
| This enables using the following 4 words when non-zero.
u32 | output_x_pos
| Output X position in the output buffer.
u32 | output_y_pos
| Same as above except for the Y pos.
u32 | output_width_override
| Used for aligning the output width when larger than the output width. Overrides the output width when smaller than the output width.
u32 | output_height_override
| Same as output_width_override except for the output height.
u32 | unk_x118

## Detailed Description

Processing configuration.

Examples
  mvd/source/main.c.

The documentation for this struct was generated from the following file:

- include/3ds/services/mvd.h